Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom.sql
Class SQLQueryParser

    java.lang.Object
      org.hibernate.loader.custom.sql.SQLQueryParser

    public class SQLQueryParser

extends Object

Nested Class Summary
`static class` | `SQLQueryParser.ParameterSubstitutionRecognizer`

Constructor Summary
`SQLQueryParser(String queryString, org.hibernate.loader.custom.sql.SQLQueryParser.ParserContext context, SessionFactoryImplementor factory)`

Method Summary
`Map` | `getNamedParameters()`
`String` | `process()`
`boolean` | `queryHasAliases()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryParser

    public SQLQueryParser(String queryString,
                          org.hibernate.loader.custom.sql.SQLQueryParser.ParserContext context,
                          SessionFactoryImplementor factory)

Method Detail

### getNamedParameters

    public Map getNamedParameters()

### queryHasAliases

    public boolean queryHasAliases()

### process

    public String process()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.